import type ExtensionAPI from '../../core/ExtensionAPI.js';
declare class TooltipTextHtmlContent {
    el: HTMLDivElement;
    private _api;
    private _container;
    private _show;
    private _enterable;
    private _zr;
    constructor(api: ExtensionAPI);
    show({ x, y, text, position }: {
        x: number;
        y: number;
        text: string;
        position: "top" | "bottom";
    }): void;
    getSize(): number[];
    hide(): void;
    isShow(): boolean;
    dispose(): void;
}
export default TooltipTextHtmlContent;
